# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray1OfCurve Class Reference

`#include <PColPGeom_HArray1OfCurve.hxx>`

## Public Member Functions

Standard_EXPORT | PColPGeom_HArray1OfCurve (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColPGeom_HArray1OfCurve (const Standard_Integer Low, const Standard_Integer Up, const Handle(PGeom_Curve)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_Curve)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PGeom_Curve | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray1OfCurve ()
| PColPGeom_HArray1OfCurve (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfCurveLowerBound () const
void | _CSFDB_SetPColPGeom_HArray1OfCurveLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfCurveUpperBound () const
void | _CSFDB_SetPColPGeom_HArray1OfCurveUpperBound (const Standard_Integer p)
const PColPGeom_FieldOfHArray1OfCurve & | _CSFDB_GetPColPGeom_HArray1OfCurveData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColPGeom_FieldOfHArray1OfCurve | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColPGeom_FieldOfHArray1OfCurve | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray1OfCurve::PColPGeom_HArray1OfCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColPGeom_HArray1OfCurve::PColPGeom_HArray1OfCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PGeom_Curve)& | V
| ) |

PColPGeom_HArray1OfCurve::PColPGeom_HArray1OfCurve | ( |  | ) | `[inline]`

PColPGeom_HArray1OfCurve::PColPGeom_HArray1OfCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray1OfCurve& PColPGeom_HArray1OfCurve::_CSFDB_GetPColPGeom_HArray1OfCurveData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfCurve::_CSFDB_GetPColPGeom_HArray1OfCurveLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfCurve::_CSFDB_GetPColPGeom_HArray1OfCurveUpperBound | ( |  | ) | const`[inline]`

void PColPGeom_HArray1OfCurve::_CSFDB_SetPColPGeom_HArray1OfCurveLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray1OfCurve::_CSFDB_SetPColPGeom_HArray1OfCurveUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColPGeom_HArray1OfCurve::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray1OfCurve PColPGeom_HArray1OfCurve::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray1OfCurve::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray1OfCurve::Length | ( |  | ) | const

Standard_Integer PColPGeom_HArray1OfCurve::Lower | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray1OfCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_Curve)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray1OfCurve::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray1OfCurve::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray1OfCurve::Upper | ( |  | ) | const

Standard_EXPORT Handle_PGeom_Curve PColPGeom_HArray1OfCurve::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColPGeom_FieldOfHArray1OfCurve PColPGeom_HArray1OfCurve::Data `[private]`

Standard_Integer PColPGeom_HArray1OfCurve::LowerBound `[private]`

Standard_Integer PColPGeom_HArray1OfCurve::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray1OfCurve.hxx